Skip to main content
Infrastructure/Change Management

GetChangeStatistics

Get aggregated statistics for change requests over a given time range

GET/api/v1/change-management/statistics

Operation ID

GetChangeStatistics

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • timeRange
    String

    Time range for aggregating statistics, e.g. 30d or 90d Time range for aggregating statistics, e.g. 30d or 90d

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • monthlyCount
    Integer

    Number of change requests created in the selected time period

    Example: 24

  • successRate
    Long

    Ratio of completed change requests that had no unexpected alerts

    Example: 0.92

  • avgDurationMinutes
    Long

    Average duration of completed change windows in minutes

    Example: 38.7

  • avgUnexpectedAlertsPerCr
    Long

    Average number of unexpected alerts per completed change request

    Example: 0.4

  • totalSuppressedAlerts
    Integer

    Total number of alerts suppressed across all change windows

    Example: 168